Subject: Re: [PATCH net v2 0/2] fixes for Q-USGMII speeds and autoneg

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 9 Jun 2023 09:23:50 +0100

On Fri, Jun 09, 2023 at 10:03:03AM +0200, Maxime Chevallier wrote:
> This is the second version of a small changeset for QUSGMII support,
> fixing inconsistencies in reported max speed and control word parsing.
> 
> As reported here [1], there are some inconsistencies for the Q-USGMII
> mode speeds and configuration. The first patch in this fixup series
> makes so that we correctly report the max speed of 1Gbps for this mode.
> 
> The second patch uses a dedicated helper to decode the control word.
> This is necessary as although USGMII control words are close to USXGMII,
> they don't support the same speeds.
> 
> Thanks,
> 
> Maxime
> 
> [1] : https://lore.kernel.org/netdev/[email-masked]/
> 
> V1->V2: Fix decoding logic for usgmii control word, as per Russell's review

Reviewed-by: Russell King (Oracle) <[email-masked]>

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!